#!/bin/sh
WEBUSER="root"
WEBPASS=""
DRTICDIR=""
VERSION=31
WEBSITE="http://www.satturkey.org"
SCRIPT="$0"
MSGBOX="/var/bin/msgbox"
SHEXEC="/var/bin/shellexec"
INPUT="/var/bin/input"
DATEFILE="/bin/date"
BOXTYPE="`sed -e'/^type=/!d' -e 's/type=//' /proc/bus/dreambox`"
MENUFILE="/tmp/asd.menu"
EPGFILE="/tmp/epg.menu"
INCFILE="/tmp/asd.inc"
TMPFILE="/tmp/asd.tmp"
TOOLMENU="/tmp/tools.menu"
MPOINT="/hdd"
IMDB="http://www.imdb.com"
MAXRESULT="20"
IMDBMENU="/tmp/imdb.menu"
IMDBEPG="/tmp/imdb.epg"
INCFILE1="/tmp/imdb1.inc"
INCFILE2="/tmp/imdb2.inc"
INCFILE3="/tmp/imdb3.inc"
IMDBTMP="/tmp/imdb.tmp"
LASTQUERY="/tmp/imdb.last"
COUNTFILE="/tmp/imdb.cnt"
hacksat="/tmp/hacksat"
NOTAG='-e s/<[^>]*>//g'
NOESC='-e s/&[^;]*;//g'
NOBRC='-e s/([^)0-9]*)//g'
NONWL='-e N;s/\n//g'
NOQU1='-e s/"//g'
NOQU2="-e s/'//g"
FILTR="$NOTAG $NOESC $NOBRC"

if [ "$DRTICDIR" = "" ]; then
	case "$BOXTYPE" in
		DM7000)	DRTICDIR="/var/tit"
			;;
		DM500)	DRTICDIR="/tmp"
			;;
		*)	DRTICDIR="/etc/tuxbox/Drtic/tit"
			;;
		*)MSGBOX="/usr/bin/msgbox"
			;;
		*)SHEXEC="/usr/bin/shellexec"
			;;
		*)INPUT="/usr/bin/input"
			;;
	esac
fi

case "$BOXTYPE" in
	DM7000)	KEYSDIR="/var/keys"
		;;
	DM500)	KEYSDIR="/var/keys"
		;;
	*)KEYSDIR="/usr/keys"
		;;
esac

if [ "$1" = "-debug" ]; then
  set -x
  shift;
  MSGBOX="echo DEBUG: msgbox"
  INPUT="echo DEBUG: input"
  SHEXEC="echo DEBUG: shellexec"
  DEBUG=1
fi

if [ ! -d $DRTICDIR ]; then
	$MSGBOX msg="~cThe DrTic directory is missing! ($DRTICDIR)."
	exit 0;
fi

presexec() {
  while [ true ]; do
  ARG="$1"
  if [ "$ARG" != "" ]; then
    MYPATH="`which $1`"
    RSLT=""
    if [ "$MYPATH" != "" -a -f "$MYPATH" ]; then
      RSLT="present"
      if [ -x "$MYPATH" ]; then
        RSLT="$RSLT and executable"
      else    RSLT="$RSLT and not executable"
      fi
    else    RSLT="missing"
    fi
    echo " - $1 ($MYPATH) : $RSLT"
    shift;
    else    break;
  fi
  done
}

runtest() {
  echo " "
  echo "Current configuration :"
  echo "======================="
  echo " "
  echo "VERSION=$VERSION"
  echo "WEBSITE=$WEBSITE"
  echo "IMDB=$IMDB"
  echo "PWD=`pwd`"
  echo "SCRIPT=$SCRIPT"
  echo "MSGBOX=$MSGBOX"
  echo "INPUT=$INPUT"
  echo "SHEXEC=$SHEXEC"
  echo "BOXTYPE=$BOXTYPE"
	echo "DRTICDIR=$DRTICDIR"
	echo "WEBUSER=$WEBUSER"
	echo "WEBPASS=$WEBPASS"
  echo "Linux version = `uname -a`"
  if [ -f /bin/enigma ]; then
    echo "Image type is Gemini."
  fi
  echo " "
  echo "Testing presence of needed binaries:"
  presexec tar touch grep sed head tail wget awk $INPUT $MSGBOX $SHEXEC
  echo " "
  echo "Testing connectivity ..."
	wget "$WEBSITE/asd?upgrade.php" -O /tmp/wget.tmp
  rm -f /tmp/wget.tmp
	echo "Testing EPG get ..."
	wget "http://$WEBUSER:$WEBPASS@localhost/getcurrentepg" -O /tmp/wget.tmp
  rm -f /tmp/wget.tmp
  exit 0;
}

runmenu() {
	if [ ! -f "$LASTQUERY" -o ! -s "$LASTQUERY" ]; then
		echo " " > $LASTQUERY
	fi
	echo "MENU=~YASD ~S(v$VERSION)" > $MENUFILE
	echo "ACTION=&Search and Download,($INPUT l='@@@@@@@@@@@@@@@@@@@@@@@' t='Movie Title (or part)' d=' ' c=25 k=0 f=0 | $SCRIPT getlist),Wait, please..." >> $MENUFILE
	echo "ACTION=&Search from ~YEPG~S and Download,($SCRIPT epgmenu),Wait, please..." >> $MENUFILE
	echo "ACTION=&Delete subtitles,($SCRIPT deletelist ; ret=\$? ; if [ \$ret -eq 0 ]; then $SHEXEC $INCFILE; fi),The list will be generated..." >> $MENUFILE
	echo "ACTION=&Tools,($SCRIPT tools),Wait, please..." >> $MENUFILE
  echo "COMMENT=" >> $MENUFILE
	echo "ACTION=&~GIMDB~S movie search,($INPUT l='@@@@@@@@@@@@@@@@@@@@@@@' t='Search movie title (or part)' d=\"\`cat $LASTQUERY\`\" c=25 k=0 f=0 | $SCRIPT movie),Wait, please..." >> $MENUFILE
	echo "ACTION=&~GIMDB~S movie search from ~YEPG~S,($SCRIPT imdbmenu),Wait, please..." >> $MENUFILE
	echo "ACTION=&~GIMDB~S actor search,($INPUT l='@@@@@@@@@@@@@@@@@@@@@@@' t='Search actor name (or part)' d=\"\`cat $LASTQUERY\`\" c=25 k=0 f=0 | $SCRIPT actor),Wait, please..." >> $MENUFILE
	echo "ENDMENU" >> $MENUFILE
	exit 0;
}

runepgmenu() {
  echo "MENU=ASD from ~YEPG" > $EPGFILE
  wget -q http://$WEBUSER:$WEBPASS@localhost/getcurrentepg -O - |grep '"event"'|sed -e 's/^.*<span[^>]*>//g' -e 's/<[^>]*>//g' -e 's/[&()*]//g' $NOQU1 $NOQU2|while read epg; do
    echo "ACTION=&$epg,($INPUT l='@@@@@@@@@@@@@@@@@@@@@@@' t='Adjust the title' d=\"$epg\" c=25 k=0 f=0 | $SCRIPT getlist),Wait, please..." >> $EPGFILE
  done
  echo "ENDMENU" >> $EPGFILE
  $SHEXEC $EPGFILE
  if [ "$DEBUG" != "1" ]; then rm -f $EPGFILE; fi
  exit 0;
}

runimdbmenu() {
	echo "MENU=Search ~GIMDB~S data from ~YEPG~S" > $IMDBEPG
	wget -q http://$WEBUSER:$WEBPASS@localhost/getcurrentepg -O - |grep '"event"'|sed -e 's/^.*<span[^>]*>//g' -e 's/<[^>]*>//g' -e 's/[&()*]//g' $NOQU1 $NOQU2|while read epg; do
  echo "ACTION=&$epg,($INPUT l='@@@@@@@@@@@@@@@@@@@@@@@' t='Adjust the title' d=\"$epg\" c=25 k=0 f=0 | $SCRIPT movie),Wait, please..." >> $IMDBEPG
	done
	echo "ENDMENU" >> $IMDBEPG
	$SHEXEC $IMDBEPG
	if [ "$DEBUG" != "1" ]; then rm -f $IMDBEPG; fi
	exit 0;
}

runviewtt() {
	TITLE="`cat $IMDBTMP|grep '<title>'|sed $NOTAG $NOESC`"
	echo "MENU=~Y$TITLE~S Info" |sed 's/,//g' > $INCFILE2
	echo "COMMENT=&Director: `grep '/name/nm' $IMDBTMP|head -1|sed -e 's/<br>/, /' -e 's/, $//g' $FILTR`" >> $INCFILE2
	echo "COMMENT=&Writing credits: `grep '(written by)' $IMDBTMP|sed -e 's/<[^>]*>/#/g'|awk -F '#' '{print $2" "$3}'`" >> $INCFILE2
  echo "COMMENT=&`grep 'Genre' $IMDBTMP|sed $NONWL $FILTR -e 's/:/: /g' -e 's/ \/ /, /g' -e 's/more//g'`" >> $INCFILE2
	echo "COMMENT=&Rating: `grep '/10' $IMDBTMP|sed $FILTR|awk '{print $1}'`" >> $INCFILE2
	echo "COMMENT=&Runtime: `grep ' min ' $IMDBTMP`" >> $INCFILE2
	echo "COMMENT=&Country: `grep 'Countries' $IMDBTMP|sed -e 's/<[^>]*>/#/g'|awk -F '#' '{print $2" "$4" "$6" "$8}'`" >> $INCFILE2
	echo "COMMENT=&Language: `grep 'Languages' $IMDBTMP|sed -e 's/<[^>]*>/#/g'|awk -F '#' '{print $2" "$4" "$6" "$8" "$10}'`" >> $INCFILE2
	echo "COMMENT=&Color: `grep 'color-info' $IMDBTMP|sed -e 's/<[^>]*>/#/g'|awk -F '#' '{print $2" "$4}'`" >> $INCFILE2
	echo "COMMENT=" >> $INCFILE2
	echo "ACTION=&Cast,($SCRIPT cast), Wait, please..." >> $INCFILE2
	echo "ENDMENU" >> $INCFILE2
	$SHEXEC $INCFILE2
	if [ "$DEBUG" != "1" ]; then 
		rm -f $INCFILE2;
		rm -f $IMDBTMP.1;
		rm -f $IMDBTMP;
	fi
	exit 0;
}

runviewnm() {
	TITLE="`cat $IMDBTMP|grep '<title>'|sed $NOTAG $NOESC`"
	echo "MENU=~Y$TITLE~S Info" > $INCFILE2
	echo "COMMENT=&Name: $TITLE" >> $INCFILE2
	echo "COMMENT=&Born: `grep 'OnThisDay' $IMDBTMP|sed -e 's/<[^>]*>/#/g'|awk -F '#' '{print $2" "$4}'`" >> $INCFILE2
	echo "COMMENT=&Birthplace: `grep 'BornWhere' $IMDBTMP|sed -e 's/<[^>]*>/#/g'|awk -F '#' '{print $6}'`" >> $INCFILE2
	echo "COMMENT=" >> $INCFILE2
	echo "ACTION=&Filmography,($SCRIPT filmography), Wait, please..." >> $INCFILE2
	echo "ENDMENU" >> $INCFILE2
	$SHEXEC $INCFILE2
	if [ "$DEBUG" != "1" ]; then 
		rm -f $INCFILE2;
		rm -f $IMDBTMP.1;
		rm -f $IMDBTMP;
	fi
	exit 0;
}

runfilmography() {
	TITLE="`grep '<title>' $IMDBTMP|sed $NOTAG $NOESC`"
	grep -- '_filmography' $IMDBTMP |sed -e 's/#//g' -e 's/<ol><li>/#/g' |awk -F '#' '{print $2}'|sed -e 's/,/\./g' -e 's/<\/li>/,/g' $NOTAG $NOESC -e 's/[ ]*\.\.\.\./ as/g' -e 's/,/\n/g' -e "s/'//g" |grep -v 'Filmography'> $IMDBTMP.1
	$MSGBOX title="$TITLE: Filmography" size=24 msg="`head -30 $IMDBTMP.1`"
	exit 0;
}

runcast() {
	TITLE="`grep '<title>' $IMDBTMP|sed $NOTAG $NOESC`"
	grep 'Cast overview' $IMDBTMP|sed -e 's/,/\./g' -e 's/<\/tr>/,/g' $NOTAG $NOESC -e 's/[ ]*\.\.\.\./ As/g' -e 's/,/\n/g' $NOBRC -e "s/'//g"|grep -v 'Cast overview'|sed 's/^ //g' > $IMDBTMP.1
	$MSGBOX title="$TITLE: Cast" size=24 msg="`cat $IMDBTMP.1`"
	exit 0;
}

getimdb() {
read input;

if [ -z "$input" ]; then
	exit 0;
fi

echo "$input" > $LASTQUERY

input="`echo $input|sed -e 's/ /%20/g'`"

wget -q -O $IMDBTMP "$IMDB/find?q=$input&s=$SUBURL"
if [ "`grep 'There were more than 500 partial matches, but no exact matches.' $IMDBTMP`" != "" ]; then
	$MSGBOX msg="~cIMDB returns to much results.~n~cTry searching more accurate."
	exit 0;
fi
if [ "`grep 'Date of birth|Directed by' $IMDBTMP`" != "" ]; then
	# Direct hit!
	if [ "$DEBUG" = "1" ]; then
		exec $0 -debug view$SUBURL
	else	exec $0 view$SUBURL
	fi
	exit 0;
fi
COUNT=0
echo "MENU=IMDB $NAME results" > $INCFILE1
for i in $LIST; do
	i="`echo $i|sed 's/_/ /g'`"
	START="`grep -n "$i" $IMDBTMP|awk -F ':' '{print $1}'`"
	if [ "$START" = "0" -o "$START" = "" ]; then
		continue;
	fi
	LCOUNT="$COUNT"
	tail +$START $IMDBTMP|sed -e 's/^.*<li>//g' -e 's/<br.*li>$//g' -e 's/<\/ol>/END/g'|while read line; do
		if [ "$LCOUNT" -gt $MAXRESULT -o "$line" = "END" ]; then
			echo "$LCOUNT" > $COUNTFILE
			break;
		fi
		if [ "`echo $line|grep href`" = "" ]; then
			continue;
		fi
		URL="`echo $line|awk -F '"' '{print $2}'`"
		TIT="`echo $line|awk -F '>' '{print $2}'|sed -e 's/<.*//g' -e 's/,//g' $NOESC -e "s/'//g"`"

		echo "ACTION=&$TIT,(wget \"$IMDB$URL\" -O /tmp/imdb.tmp ; $SCRIPT view$SUBURL `dirname $URL`),Wait, please..." >> $INCFILE1
		LCOUNT="`expr $LCOUNT + 1`"
	done
	COUNT="`cat $COUNTFILE`"
done
COUNT="`cat $COUNTFILE`"
rm -f $COUNTFILE
if [ "$COUNT" = "0" ]; then
	$MSGBOX msg="~cNo results found.~n~cTry again!"
	exit 0;
fi
if [ "$COUNT" -gt $MAXRESULT ]; then
	$MSGBOX popup="~cMore than $MAXRESULT results found.~n~cOnly the first $MAXRESULT will be listed."
fi
echo "ENDMENU" >> $INCFILE1
$SHEXEC $INCFILE1
if [ "$DEBUG" != "1" ]; then rm -f $INCFILE1; fi
exit 0;
}

runinstall() {
	if [ -f "$1" ]; then
		cd $DRTICDIR
#		tar xzf $1
    mv $1 $DRTICDIR
#		rm -f $1
		$MSGBOX popup="~cThe subtitles are succesful installed."
	else	$MSGBOX popup="~cThe subtitles are NOT installed."
	fi
	exit 0;
}

runupgrade() {
	wget -q "$WEBSITE/asd/download.php?filename=asd" -O /tmp/$$.upgrade
	if [ ! -f /tmp/$$.upgrade -o "`grep '# EOF' /tmp/$$.upgrade`" = "" ]; then
		$MSGBOX popup="~cUpgrade error."
		rm -f /tmp/$$.upgrade
		exit 0;
	fi
	NEWVERSION="`cat /tmp/$$.upgrade|grep '^VERSION='|awk -F = '{print $2}'`"
	if [ ! $NEWVERSION -gt $VERSION ]; then
		$MSGBOX msg="~cNo update needed.~n~cActual version is ~Yv$VERSION"
		rm -f /tmp/$$.upgrade
	else	mv -f $SCRIPT $SCRIPT.v$VERSION
		mv -f /tmp/$$.upgrade $SCRIPT
		head -2 $SCRIPT > /tmp/$$.script
		head -10 $SCRIPT.v$VERSION | grep '^WEBUSER=|^WEBPASS=|^DRTICDIR=' >> /tmp/$$.script
		tail +2 $SCRIPT |grep -v '^WEBUSER=|^WEBPASS=|^DRTICDIR=' >> /tmp/$$.script
		mv -f /tmp/$$.script $SCRIPT
		chmod 755 $SCRIPT
		$MSGBOX popup="~cScript is updated to~n~c~Yversion $NEWVERSION."
	fi
  if [ "$DEBUG" != "1" ]; then rm -f /tmp/$$.script; fi
	exit 0;
}

rundeletelist() {
	NUMFILES="`ls -la $DRTICDIR/*.dtc|wc -l|awk '{print $1}'`"
	if [ "$NUMFILES" = "0" ]; then
		$MSGBOX popup="~cNo files to delete"
		exit 1;
	fi
	echo "MENU=Delete subtitles" > $INCFILE
	for i in $DRTICDIR/*.dtc; do
		FILE="`basename $i`"
		PLAIN="`echo $FILE|sed 's/\.dtc$//g'`"
		TITLE="`echo $PLAIN|sed 's/_/ /g'`"
		echo "ACTION=&$TITLE,($MSGBOX msg='~cAre you sure?' select='Yes,No' default=2; ret=\$? ; if [ \$ret -eq 1 ]; then $SCRIPT delete "$PLAIN"; fi),Wait, please!" >> $INCFILE
	done
	if [ "$NUMFILES" -gt 1 ]; then
		echo "ACTION=&Delete ALL files,($MSGBOX msg='~cAre you sure?' select='Yes,No' default=2; ret=\$? ; if [ \$ret -eq 1 ]; then $SCRIPT delete ALL; fi),Wait, please!" >> $INCFILE
	fi
	echo "ENDMENU" >> $INCFILE
	exit 0;
}

rundelete() {
	FILE="$1"
	if [ "$1" != "ALL" ]; then
		rm -f $DRTICDIR/$1.dtc
		cat $INCFILE | grep -v "delete $FILE; fi" > $TMPFILE
		mv -f $TMPFILE $INCFILE
	else
		rm -f $DRTICDIR/*.dtc $INCFILE
	fi
	COUNT="`cat $INCFILE|grep -v 'delete ALL; fi' |wc -l|awk '{print $1}'`"
	$MSGBOX popup="~cFiles have been removed" refresh=2
	if [ "$1" = "ALL" -o $COUNT -lt 3 ]; then
		PID="`ps -ef|grep deletelist|awk '{print $1}'`"
		kill $PID
		PID="`ps -ef|grep $INCFILE|awk '{print $1}'`"
		kill $PID
	fi
	exit 0;
}

rungetlist() {
	read input;

#	input="`echo $input|sed 's/ /_/g'`"
	input="`echo $input`"
	if [ -z "$input" ]; then
		exit 0;
	fi

  wget -q -O $TMPFILE "$WEBSITE/traltyazi/search2.php?search=$input"

  tit="`echo $input | awk {'print toupper($_)'}`" lenght=`echo ${#input}`
if [ $lenght -lt 2 ]; then
  echo "MENU=Subtitles starting with ~Y$tit~S" > $INCFILE
else
  echo "MENU=Subtitles containing ~Y$tit~S" > $INCFILE
fi 

cat $TMPFILE| grep -i "$input" | sed -e "s/$input //g" > $TMPFILE
cat $TMPFILE|while read line; do

DBID=`echo $line|awk '/film/ {print $4}'`
FILENAME=`echo $line|awk '/film/ {print $2}'`
NAME=`echo $line|awk '/film/ {print $3}'`

		if [ "$DBID" -gt "0" ]; then
			echo "ACTION=&$NAME,(wget \"$WEBSITE/traltyazi/redirect.php?dlid=$DBID\" -O /tmp/$FILENAME ; $SCRIPT install \"/tmp/$FILENAME\"),Wait, please! Downloading... " >> $INCFILE
		else	echo "COMMENT=&$NAME" >> $INCFILE
		fi
	done
	echo "ENDMENU" >> $INCFILE
#	if [ "`cat $TMPFILE | grep -- '-2#Too_Many_Results'`" != "" ]; then
#		RESULTS="`cat $TMPFILE | grep -- '-2#Too_Many_Results'|awk -F \# '{print $3}'`"
#		$MSGBOX popup="~cTo many results found.~n~cOnly the first $RESULTS titles are listed."
#	fi
	$SHEXEC $INCFILE
	exit 0;
}

runtools () {
  rm -rf /tmp/tools.*
  echo "MENU=Tools" > $TOOLMENU
  echo "ACTION=&HackSat All Camd Keys Indir,($SCRIPT updatekeys),Wait, please..." >> $TOOLMENU
  echo "ACTION=&Show HDD info,($SCRIPT showhddinfo),Wait, please..." >> $TOOLMENU
  echo "ACTION=&Show RAM info,($SCRIPT showraminfo),Wait, please..." >> $TOOLMENU
	echo "ACTION=&Script Upgrade,($SCRIPT upgrade),Wait, please..." >> $TOOLMENU	
	echo "COMMENT=" >> $TOOLMENU
  echo "ACTION=&About...,($SCRIPT showabout),Wait, please..." >> $TOOLMENU	
  echo "ENDMENU" >> $TOOLMENU
  $SHEXEC $TOOLMENU
  if [ "$DEBUG" != "1" ]; then rm -f $TOOLMENU; fi
  exit 0;
}

runupdatekeys () {
# mgcamd
  wget http://www.dvbfiles.com/SoftCam.Key -O $KEYSDIR/SoftCam.Key
  wget http://www.dvbfiles.com/AutoRoll.Key -O $KEYSDIR/AutoRoll.Key
  wget http://www.dvbfiles.com/tps.au -O $KEYSDIR/tps.au
# newcamd
wget http://www.dvbfiles.com/rsakeylist -O $KEYSDIR/scce/rsakeylist
wget http://www.dvbfiles.com/keylist -O $KEYSDIR/scce/keylist
# evocamd
wget http://www.dvbfiles.com/Keylist.txt -O $KEYSDIR/Keylist.txt
wget http://www.dvbfiles.com/Autoupdate.Key -O $KEYSDIR/Autoupdate.Key
# gbox
wget http://www.dvbfiles.com/nagra -O $KEYSDIR/nagra
# camd3
wget http://www.dvbfiles.com/camd3.keys -O $KEYSDIR/camd3.keys
wget -O /var/tmp/softcamcounter http://www.easycounter.com/counter.php?dvbfiles
rm -rf /var/tmp/softcamcounter  
rm -rf /tmp/softcamcounter
  
    $MSGBOX size=32 title="Info" msg="~Y~cYeni Keyler Guncellendi.~S~n~s~n~Y~cSpecial thanks to the Hacksat Team."          

	exit 0;
}

runshowhddinfo () {
  HDD=`df -h $MPOINT | sed -n '2p' | sed -e 's/ \+/ /g'`
  if [ ! -n "$HDD" ]; then
    $MSGBOX size=34 refresh=2 timeout=20 title="HDD Space" msg="~cError:  This Mountpoint doesn't exist.~n~s~n~c~YMountpoint:  $MPOINT"
  exit 1
  fi
  HDD_M=`df -m $MPOINT | sed -n '2p' | sed -e 's/ \+/ /g'`
  SHARED="`echo $HDD | awk -F \  '{print $1}'`"
  MOUNTP="`echo $HDD | awk -F \  '{print $6}'`"
  TOTAL="`echo $HDD | awk -F \  '{print $2}' | sed -e 's/[^0-9]*$/ &B/'`"
  USED="`echo $HDD | awk -F \  '{print $3}' | sed -e 's/[^0-9]*$/ &B/'`"
  FREE="`echo $HDD | awk -F \  '{print $4}' | sed -e 's/[^0-9]*$/ &B/'`"
  PROC="`echo $HDD | awk -F \  '{print $5}' | sed -e 's/[^0-9].*//'`"
  PART_1=`echo "I" | sed -e 's/./&/'$(expr $PROC + 1) -e 's/.//'`
  PART_2=`echo "." | sed -e 's/./&/'$(expr 101 - $PROC) -e 's/.//'`
  I100=`echo .......... | sed -e 's/./........../g'`
  BAR=`echo $I100 | sed -e '{s/\(.\{'$PROC'\}\).*/\1/;s/./I/g;s/$/'$I100'/;s/\(.\{75\}\)\(.\{15\}\)\(.\{10\}\).*/\1~Y\2~R\3/}'`
  FILESYS=`mount | sed -n 's|^'$SHARED'  *on  *[^ ]*  *type  *\([^ ]\{,14\}\).*|, \1|p' | sed -n '1p'`
  touch $MPOINT/.hdd_space && rm $1/.hdd_space && INFO=rw
  $MSGBOX size=32 refresh=2 timeout=300 title="HDD Space" msg="~T135Total space:~T345$TOTAL  (${INFO:-ro}$FILESYS)~n~T135Free space:~T345$FREE~n~T135Used space:~T345$USED  ($PROC%)~n~s~n~c~G$BAR~n~s~n~c~YHDD Info:  $SHARED~n~c~YMountpoint:  $MPOINT"
  exit 0
}

runshowraminfo () {
  RAM=`free | sed -n '2p' | sed -e 's/ */ /g'`
  TOTAL=`echo "$RAM" | awk -F \  '{print $2}'`
  USED=`echo "$RAM" | awk -F \  '{print $3}'`
  FREE=`echo "$RAM" | awk -F \  '{print $4}'`
  PROC=`expr $(echo "$RAM" | awk -F \  '{print $3}')'00' \/ $TOTAL`
  PART_1=`echo "I" | sed -e 's/./&/'$(expr $PROC + 1) -e 's/.//'`
  PART_2=`echo "." | sed -e 's/./&/'$(expr 101 - $PROC) -e 's/.//'`
  I100=`echo .......... | sed -e 's/./........../g'`
  BAR=`echo $I100 | sed -e '{s/\(.\{'$PROC'\}\).*/\1/;s/./I/g;s/$/'$I100'/;s/\(.\{75\}\)\(.\{15\}\)\(.\{10\}\).*/\1~Y\2~R\3/}'`
  $MSGBOX size=32 refresh=2 timeout=300 title="RAM Memory" msg="~T140Total RAM:~T350$TOTAL kB~n~T140Free RAM:~T350$FREE kB~n~T140Used RAM:~T350$USED kB   ($PROC%)~n~s~n~c~G$BAR~n~s"
  exit 0
}

runshowabout () {
  $MSGBOX size=32 title="About..." msg="~cAdvanced Subtitle Download v$VERSION~n~cby chooleen~n~c20.04.2007~n~s~n~c$WEBSITE"
	exit 0;
}

case "$1" in
	delete)		rundelete "$2";
			;;
	deletelist)	rundeletelist;
			;;
	upgrade)	runupgrade;
			;;
	install)	runinstall "$2";
			;;
	menu)		runmenu;
			;;
	epgmenu)	runepgmenu;
			;;
	imdbmenu)	runimdbmenu;
			;;
	viewtt)	runviewtt;
			;;
	viewnm)	runviewnm;
			;;
	filmography)	runfilmography;
			;;
	cast)	runcast;
			;;
	movie) 	SUBURL="tt";
		NAME="titles";
		LIST='Popular_Results Titles_(Exact_Matches) Titles_(Partial_Matches)'
		getimdb;
			;;
	actor)	SUBURL="nm";
		NAME="names";
		LIST='Popular_Names Names_(Partial_Matches) Names_(Exact_Matches)'
		getimdb;
			;;
	getlist)	rungetlist;
			;;
	tools)	runtools;
			;;
	updatekeys) runupdatekeys;
			;;
	showhddinfo)  runshowhddinfo;
			;;
	showraminfo)  runshowraminfo;
			;;
	showabout) runshowabout;
			;;
	test)		runtest;
			;;
	*)	echo "Unknown operand passed."
			;;
esac

# EOF
